# Retrieve a currency conversion

## Retrieve currency conversion

<mark style="color:blue;">`GET`</mark> `https://ris.rightsline.com/v4/currency/conversion/:id`

This endpoint retrieves a specific currency conversion.

#### Path Parameters

| Name | Type   | Description                                    |
| ---- | ------ | ---------------------------------------------- |
| id   | string | The ID of the currency conversion to retrieve. |

#### Headers

| Name           | Type   | Description             |
| -------------- | ------ | ----------------------- |
| x-api-key      | string | Your company's API key. |
| Authentication | string | Authentication token.   |

{% tabs %}
{% tab title="200 Currency conversion successfully retrieved." %}

```javascript
{
    "id": "45d01ae0-a14e-41ff-17fe-4e51e39babb1",
    "companyCurrency": "USD",
    "transactionCurrency": "AUD",
    "rate": 1.000000000,
    "effectiveDate": "2020-09-01T00:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.rightsline.com/config/currency-conversion-sept-16/currency-conversion-retrieve.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
